<!DOCTYPE html>
<html lang="zh-cn">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
<meta name="referrer" content="origin" />
    <title>Python自动化开发之路 - 文章分类 - 金角大王 - 博客园</title>
    <link type="text/css" rel="stylesheet" href="/bundles/blog-common.css?v=svlZeZMvc3He7PqOD4T7SOuQn0_kIfLBYiy3idqd35Y1"/>
<link id="MainCss" type="text/css" rel="stylesheet" href="/skins/SimpleBlue/bundle-SimpleBlue.css?v=0qK9u742QhZ2ygXQ2XvDKUpwAJ6TPVAq3vGGNZD4Qx81"/>
<link type="text/css" rel="stylesheet" href="/blog/customcss/214271.css?v=ODe5WmG%2bltDcEYVCzhwetY8uopE%3d"/>
<link id="mobile-style" media="only screen and (max-width: 767px)" type="text/css" rel="stylesheet" href="/skins/SimpleBlue/bundle-SimpleBlue-mobile.css?v=HkJKKbba4iGCuppu8zvm9csLqR-eZz_MIbDYkUT6eGM1"/>
    <link title="RSS" type="application/rss+xml" rel="alternate" href="https://www.cnblogs.com/alex3714/rss"/>
    <link title="RSD" type="application/rsd+xml" rel="EditURI" href="https://www.cnblogs.com/alex3714/rsd.xml"/>
<link type="application/wlwmanifest+xml" rel="wlwmanifest" href="https://www.cnblogs.com/alex3714/wlwmanifest.xml"/>
    <script src="//common.cnblogs.com/scripts/jquery-2.2.0.min.js"></script>
    <script>var currentBlogId=214271;var currentBlogApp='alex3714',cb_enable_mathjax=false;var isLogined=false;</script>
    <script src="/bundles/blog-common.js?v=OFBZTzkHKauV7mtIFLF9jlqrX-sesK9-mY9KjurLrq01" type="text/javascript"></script>
</head>
<body>
<a name="top"></a>

<!--PageBeginHtml Block Begin-->
<a href="https://github.com/triaquae"><img style="position: absolute; top: 76px; right: 0; border: 0" alt="Fork me on GitHub" src="https://images.cnblogs.com/cnblogs_com/alex3714/1090053/o_fuckmeongithub_1.png"></a>
<!--PageBeginHtml Block End-->

<div id="home">
<div id="header">
	<div id="blogTitle">
		
<!--done-->
<div class="title"><a id="Header1_HeaderTitle" class="headermaintitle" href="https://www.cnblogs.com/alex3714/">金角大王等待唐僧的日子</a></div>
<div class="subtitle">Chaos is a ladder.</div>



		
	</div><!--end: blogTitle 博客的标题和副标题 -->
	<div id="navigator">
		
<ul id="navList">
<li id="nav_sitehome"><a id="blog_nav_sitehome" class="menu" href="https://www.cnblogs.com/">博客园</a></li>
<li id="nav_myhome"><a id="blog_nav_myhome" class="menu" href="https://www.cnblogs.com/alex3714/">首页</a></li>
<li id="nav_newpost"><a id="blog_nav_newpost" class="menu" rel="nofollow" href="https://i.cnblogs.com/EditPosts.aspx?opt=1">新随笔</a></li>
<li id="nav_contact"><a id="blog_nav_contact" class="menu" rel="nofollow" href="https://msg.cnblogs.com/send/%E9%87%91%E8%A7%92%E5%A4%A7%E7%8E%8B">联系</a></li>
<li id="nav_rss"><a id="blog_nav_rss" class="menu" href="https://www.cnblogs.com/alex3714/rss">订阅</a>
<!--<a id="blog_nav_rss_image" class="aHeaderXML" href="https://www.cnblogs.com/alex3714/rss"><img src="//www.cnblogs.com/images/xml.gif" alt="订阅" /></a>--></li>
<li id="nav_admin"><a id="blog_nav_admin" class="menu" rel="nofollow" href="https://i.cnblogs.com/">管理</a></li>
</ul>

		<div class="blogStats">
			
			<div id="blog_stats">
<!--done-->
随笔-28&nbsp;
文章-63&nbsp;
评论-809&nbsp;
</div>
			
		</div><!--end: blogStats -->
	</div><!--end: navigator 博客导航栏 -->
</div><!--end: header 头部 -->
<div id="main">
	<div id="mainContent">
	<div class="forFlow">
		
        
<!--done-->


<div class="entrylist">
	<h1 class="entrylistTitle">文章分类 - Python自动化开发之路</h1>
	<div class="entrylistDescription"></div>
	
			<div class="entrylistItem">
				<div class="entrylistPosttitle"><a id="CategoryEntryList1_EntryStoryList_ctl00_Entries_TitleUrl_0" class="entrylistItemTitle" href="https://www.cnblogs.com/alex3714/articles/7550940.html">python 之路，致那些年，我们依然没搞明白的编码</a></div>
				<div class="entrylistPostSummary"><div class="c_b_p_desc">摘要: 本节内容 编码回顾 编码转换 Python的bytes类型 编码回顾 在备编码相关的课件时，在知乎上看到一段关于Python编码的回答 这哥们的这段话说的太对了，搞Python不把编码彻底搞明白，总有一天它会猝不及防坑你一把。 不过感觉这哥们的答案并没把编码问题写明白，所以只好亲自动笔了。 折腾编码<a href="https://www.cnblogs.com/alex3714/articles/7550940.html" class="c_b_p_desc_readmore">阅读全文</a></div></div>				
				<div class="entrylistItemPostDesc">posted @ <a href="https://www.cnblogs.com/alex3714/articles/7550940.html" Title = "permalink">2017-09-19 11:36</a> 金角大王 阅读(16466) | <a href="https://www.cnblogs.com/alex3714/articles/7550940.html#FeedBack" Title = "comments, pingbacks, trackbacks">评论 (23)</a> &nbsp;<a href="https://i.cnblogs.com/EditArticles.aspx?postid=7550940" rel="nofollow">编辑</a></div>
			</div>
		
			<div class="postSeparator"></div>
		
			<div class="entrylistItem">
				<div class="entrylistPosttitle"><a id="CategoryEntryList1_EntryStoryList_ctl00_Entries_TitleUrl_1" class="entrylistItemTitle" href="https://www.cnblogs.com/alex3714/articles/7131523.html">python 之路，Django rest framework 初探</a></div>
				<div class="entrylistPostSummary"><div class="c_b_p_desc">摘要: Django rest framework介绍 Django REST framework is a powerful and flexible toolkit for building Web APIs. Some reasons you might want to use REST framew<a href="https://www.cnblogs.com/alex3714/articles/7131523.html" class="c_b_p_desc_readmore">阅读全文</a></div></div>				
				<div class="entrylistItemPostDesc">posted @ <a href="https://www.cnblogs.com/alex3714/articles/7131523.html" Title = "permalink">2017-07-07 12:05</a> 金角大王 阅读(16128) | <a href="https://www.cnblogs.com/alex3714/articles/7131523.html#FeedBack" Title = "comments, pingbacks, trackbacks">评论 (2)</a> &nbsp;<a href="https://i.cnblogs.com/EditArticles.aspx?postid=7131523" rel="nofollow">编辑</a></div>
			</div>
		
			<div class="postSeparator"></div>
		
			<div class="entrylistItem">
				<div class="entrylistPosttitle"><a id="CategoryEntryList1_EntryStoryList_ctl00_Entries_TitleUrl_2" class="entrylistItemTitle" href="https://www.cnblogs.com/alex3714/articles/6808013.html">Python 之路，Restful API设计规范</a></div>
				<div class="entrylistPostSummary"><div class="c_b_p_desc">摘要: 理解RESTful架构 Restful API设计指南 理解RESTful架构 越来越多的人开始意识到，网站即软件，而且是一种新型的软件。 这种&quot;互联网软件&quot;采用客户端/服务器模式，建立在分布式体系上，通过互联网通信，具有高延时（high latency）、高并发等特点。 网站开发，完全可以采用软件<a href="https://www.cnblogs.com/alex3714/articles/6808013.html" class="c_b_p_desc_readmore">阅读全文</a></div></div>				
				<div class="entrylistItemPostDesc">posted @ <a href="https://www.cnblogs.com/alex3714/articles/6808013.html" Title = "permalink">2017-05-04 16:45</a> 金角大王 阅读(16049) | <a href="https://www.cnblogs.com/alex3714/articles/6808013.html#FeedBack" Title = "comments, pingbacks, trackbacks">评论 (1)</a> &nbsp;<a href="https://i.cnblogs.com/EditArticles.aspx?postid=6808013" rel="nofollow">编辑</a></div>
			</div>
		
			<div class="postSeparator"></div>
		
			<div class="entrylistItem">
				<div class="entrylistPosttitle"><a id="CategoryEntryList1_EntryStoryList_ctl00_Entries_TitleUrl_3" class="entrylistItemTitle" href="https://www.cnblogs.com/alex3714/articles/6662365.html">Django之路 - 实现登录随机验证码</a></div>
				<div class="entrylistPostSummary"><div class="c_b_p_desc">摘要: 登录验证码是每个网站登录时的基本标配，网上也有很多相应的文章， 但是从生成验证码到 应用到自己的网站上的全步骤，并没有看到很多， 为了节约大家的时间，我把整体步骤写下来， 即拿即用哈 1. 生成随机验证码 1 #_*_coding:utf-8_*_ 2 3 from PIL import Image<a href="https://www.cnblogs.com/alex3714/articles/6662365.html" class="c_b_p_desc_readmore">阅读全文</a></div></div>				
				<div class="entrylistItemPostDesc">posted @ <a href="https://www.cnblogs.com/alex3714/articles/6662365.html" Title = "permalink">2017-04-03 17:27</a> 金角大王 阅读(13758) | <a href="https://www.cnblogs.com/alex3714/articles/6662365.html#FeedBack" Title = "comments, pingbacks, trackbacks">评论 (3)</a> &nbsp;<a href="https://i.cnblogs.com/EditArticles.aspx?postid=6662365" rel="nofollow">编辑</a></div>
			</div>
		
			<div class="postSeparator"></div>
		
			<div class="entrylistItem">
				<div class="entrylistPosttitle"><a id="CategoryEntryList1_EntryStoryList_ctl00_Entries_TitleUrl_4" class="entrylistItemTitle" href="https://www.cnblogs.com/alex3714/articles/6661911.html">Django之路- 如何开发通用且万能的的权限框架组件</a></div>
				<div class="entrylistPostSummary"><div class="c_b_p_desc">摘要: 本节内容 需求讨论 权限设计 代码设计 自定义权限钩子 业务场景分析 假设我们在开发一个培训机构的 客户关系管理系统，系统分客户管理、学员管理、教学管理3个大模块，每个模块大体功能如下 客户管理 销售人员可以录入客户信息，对客户进行跟踪，为客户办理报名手续 销售人员可以修改自己录入的客户信息 客户信<a href="https://www.cnblogs.com/alex3714/articles/6661911.html" class="c_b_p_desc_readmore">阅读全文</a></div></div>				
				<div class="entrylistItemPostDesc">posted @ <a href="https://www.cnblogs.com/alex3714/articles/6661911.html" Title = "permalink">2017-04-03 14:38</a> 金角大王 阅读(6839) | <a href="https://www.cnblogs.com/alex3714/articles/6661911.html#FeedBack" Title = "comments, pingbacks, trackbacks">评论 (6)</a> &nbsp;<a href="https://i.cnblogs.com/EditArticles.aspx?postid=6661911" rel="nofollow">编辑</a></div>
			</div>
		
			<div class="postSeparator"></div>
		
			<div class="entrylistItem">
				<div class="entrylistPosttitle"><a id="CategoryEntryList1_EntryStoryList_ctl00_Entries_TitleUrl_5" class="entrylistItemTitle" href="https://www.cnblogs.com/alex3714/articles/6567636.html">Django之路 - 项目实战之&lt;教育行业CRM开发&gt;</a></div>
				<div class="entrylistPostSummary"><div class="c_b_p_desc">摘要: 本节内容 业务痛点分析 项目需求讨论 使用场景分析 表结构设计 业务痛点分析 我2013年刚加入老男孩教育的时候，学校就一间教室，2个招生老师，招了学生后，招生老师就在自己的excel表里记录一下，每月算工资时，就按这个表来统计招生提成， 后来学校大了点，教室变成了3间，招生老师变成了4个人，招的学<a href="https://www.cnblogs.com/alex3714/articles/6567636.html" class="c_b_p_desc_readmore">阅读全文</a></div></div>				
				<div class="entrylistItemPostDesc">posted @ <a href="https://www.cnblogs.com/alex3714/articles/6567636.html" Title = "permalink">2017-03-17 17:48</a> 金角大王 阅读(5914) | <a href="https://www.cnblogs.com/alex3714/articles/6567636.html#FeedBack" Title = "comments, pingbacks, trackbacks">评论 (0)</a> &nbsp;<a href="https://i.cnblogs.com/EditArticles.aspx?postid=6567636" rel="nofollow">编辑</a></div>
			</div>
		
			<div class="postSeparator"></div>
		
			<div class="entrylistItem">
				<div class="entrylistPosttitle"><a id="CategoryEntryList1_EntryStoryList_ctl00_Entries_TitleUrl_6" class="entrylistItemTitle" href="https://www.cnblogs.com/alex3714/articles/6100840.html">python 之路，Day27 - 主机管理+堡垒机系统开发</a></div>
				<div class="entrylistPostSummary"><div class="c_b_p_desc">摘要: 本节内容 1.需求讨论 2.架构设计 3. 表结构设计 参考&#160;http://www.cnblogs.com/alex3714/articles/5286889.html<a href="https://www.cnblogs.com/alex3714/articles/6100840.html" class="c_b_p_desc_readmore">阅读全文</a></div></div>				
				<div class="entrylistItemPostDesc">posted @ <a href="https://www.cnblogs.com/alex3714/articles/6100840.html" Title = "permalink">2016-11-25 11:10</a> 金角大王 阅读(6145) | <a href="https://www.cnblogs.com/alex3714/articles/6100840.html#FeedBack" Title = "comments, pingbacks, trackbacks">评论 (0)</a> &nbsp;<a href="https://i.cnblogs.com/EditArticles.aspx?postid=6100840" rel="nofollow">编辑</a></div>
			</div>
		
			<div class="postSeparator"></div>
		
			<div class="entrylistItem">
				<div class="entrylistPosttitle"><a id="CategoryEntryList1_EntryStoryList_ctl00_Entries_TitleUrl_7" class="entrylistItemTitle" href="https://www.cnblogs.com/alex3714/articles/5978329.html">python 之路，Day11 - sqlalchemy ORM</a></div>
				<div class="entrylistPostSummary"><div class="c_b_p_desc">摘要: 本节内容 1.&#160;ORM介绍 orm英文全称object relational mapping,就是对象映射关系程序，简单来说我们类似python这种面向对象的程序来说一切皆对象，但是我们使用的数据库却都是关系型的，为了保证一致的使用习惯，通过orm将编程语言的对象模型和数据库的关系模型建立映射关系，<a href="https://www.cnblogs.com/alex3714/articles/5978329.html" class="c_b_p_desc_readmore">阅读全文</a></div></div>				
				<div class="entrylistItemPostDesc">posted @ <a href="https://www.cnblogs.com/alex3714/articles/5978329.html" Title = "permalink">2016-10-19 18:35</a> 金角大王 阅读(14487) | <a href="https://www.cnblogs.com/alex3714/articles/5978329.html#FeedBack" Title = "comments, pingbacks, trackbacks">评论 (4)</a> &nbsp;<a href="https://i.cnblogs.com/EditArticles.aspx?postid=5978329" rel="nofollow">编辑</a></div>
			</div>
		
			<div class="postSeparator"></div>
		
			<div class="entrylistItem">
				<div class="entrylistPosttitle"><a id="CategoryEntryList1_EntryStoryList_ctl00_Entries_TitleUrl_8" class="entrylistItemTitle" href="https://www.cnblogs.com/alex3714/articles/5950372.html">python 之路，Day11 - python mysql and ORM</a></div>
				<div class="entrylistPostSummary"><div class="c_b_p_desc">摘要: 本节内容 创建数据库 外键 增删改查表 权限 1. 数据库介绍 什么是数据库？ 数据库（Database）是按照数据结构来组织、存储和管理数据的仓库，每个数据库都有一个或多个不同的API用于创建，访问，管理，搜索和复制所保存的数据。我们也可以将数据存储在文件中，但是在文件中读写数据速度相对较慢。所以<a href="https://www.cnblogs.com/alex3714/articles/5950372.html" class="c_b_p_desc_readmore">阅读全文</a></div></div>				
				<div class="entrylistItemPostDesc">posted @ <a href="https://www.cnblogs.com/alex3714/articles/5950372.html" Title = "permalink">2016-10-11 18:40</a> 金角大王 阅读(20185) | <a href="https://www.cnblogs.com/alex3714/articles/5950372.html#FeedBack" Title = "comments, pingbacks, trackbacks">评论 (1)</a> &nbsp;<a href="https://i.cnblogs.com/EditArticles.aspx?postid=5950372" rel="nofollow">编辑</a></div>
			</div>
		
			<div class="postSeparator"></div>
		
			<div class="entrylistItem">
				<div class="entrylistPosttitle"><a id="CategoryEntryList1_EntryStoryList_ctl00_Entries_TitleUrl_9" class="entrylistItemTitle" href="https://www.cnblogs.com/alex3714/articles/5830365.html">Python之路,Day8 - Socket网络编程</a></div>
				<div class="entrylistPostSummary"><div class="c_b_p_desc">摘要: 本节内容 1. Socket介绍 概念 A&#160;network socket&#160;is an endpoint of a connection across a&#160;computer network. Today, most communication between computers is based on<a href="https://www.cnblogs.com/alex3714/articles/5830365.html" class="c_b_p_desc_readmore">阅读全文</a></div></div>				
				<div class="entrylistItemPostDesc">posted @ <a href="https://www.cnblogs.com/alex3714/articles/5830365.html" Title = "permalink">2016-09-01 16:23</a> 金角大王 阅读(13978) | <a href="https://www.cnblogs.com/alex3714/articles/5830365.html#FeedBack" Title = "comments, pingbacks, trackbacks">评论 (6)</a> &nbsp;<a href="https://i.cnblogs.com/EditArticles.aspx?postid=5830365" rel="nofollow">编辑</a></div>
			</div>
		
			<div class="postSeparator"></div>
		
			<div class="entrylistItem">
				<div class="entrylistPosttitle"><a id="CategoryEntryList1_EntryStoryList_ctl00_Entries_TitleUrl_10" class="entrylistItemTitle" href="https://www.cnblogs.com/alex3714/articles/5765046.html">Python之路,Day4 - Python基础4 (new版)</a></div>
				<div class="entrylistPostSummary"><div class="c_b_p_desc">摘要: 本节内容 1.列表生成式，迭代器&amp;生成器 列表生成式 孩子，我现在有个需求，看列表[0, 1, 2, 3, 4, 5, 6, 7, 8, 9],我要求你把列表里的每个值加1，你怎么实现？你可能会想到2种方式 &gt;&gt;&gt; a [0, 1, 2, 3, 4, 5, 6, 7, 8, 9] &gt;&gt;&gt; b = [<a href="https://www.cnblogs.com/alex3714/articles/5765046.html" class="c_b_p_desc_readmore">阅读全文</a></div></div>				
				<div class="entrylistItemPostDesc">posted @ <a href="https://www.cnblogs.com/alex3714/articles/5765046.html" Title = "permalink">2016-08-12 15:12</a> 金角大王 阅读(54964) | <a href="https://www.cnblogs.com/alex3714/articles/5765046.html#FeedBack" Title = "comments, pingbacks, trackbacks">评论 (15)</a> &nbsp;<a href="https://i.cnblogs.com/EditArticles.aspx?postid=5765046" rel="nofollow">编辑</a></div>
			</div>
		
			<div class="postSeparator"></div>
		
			<div class="entrylistItem">
				<div class="entrylistPosttitle"><a id="CategoryEntryList1_EntryStoryList_ctl00_Entries_TitleUrl_11" class="entrylistItemTitle" href="https://www.cnblogs.com/alex3714/articles/5760582.html">python之路，Day24 常用设计模式学习</a></div>
				<div class="entrylistPostSummary"><div class="c_b_p_desc">摘要: 本节内容 1.设计模式介绍 设计模式（Design Patterns） ——可复用面向对象软件的基础 设计模式（Design pattern）是一套被反复使用、多数人知晓的、经过分类编目的、代码设计经验的总结。使用设计模式是为了可重用代码、让代码更容易被他人理解、保证代码可靠性。 毫无疑问，设计模式<a href="https://www.cnblogs.com/alex3714/articles/5760582.html" class="c_b_p_desc_readmore">阅读全文</a></div></div>				
				<div class="entrylistItemPostDesc">posted @ <a href="https://www.cnblogs.com/alex3714/articles/5760582.html" Title = "permalink">2016-08-11 13:14</a> 金角大王 阅读(7456) | <a href="https://www.cnblogs.com/alex3714/articles/5760582.html#FeedBack" Title = "comments, pingbacks, trackbacks">评论 (1)</a> &nbsp;<a href="https://i.cnblogs.com/EditArticles.aspx?postid=5760582" rel="nofollow">编辑</a></div>
			</div>
		
			<div class="postSeparator"></div>
		
			<div class="entrylistItem">
				<div class="entrylistPosttitle"><a id="CategoryEntryList1_EntryStoryList_ctl00_Entries_TitleUrl_12" class="entrylistItemTitle" href="https://www.cnblogs.com/alex3714/articles/5740985.html">Python之路,Day3 - Python基础3</a></div>
				<div class="entrylistPostSummary"><div class="c_b_p_desc">摘要: 本节内容 1. 函数基本语法及特性 2. 参数与局部变量 3. 返回值 嵌套函数 4.递归 5.匿名函数 6.函数式编程介绍 7.高阶函数 8.内置函数 温故知新 1. 集合 主要作用: 2. 元组 只读列表，只有count, index 2 个方法 作用：如果一些数据不想被人修改， 可以存成元组，<a href="https://www.cnblogs.com/alex3714/articles/5740985.html" class="c_b_p_desc_readmore">阅读全文</a></div></div>				
				<div class="entrylistItemPostDesc">posted @ <a href="https://www.cnblogs.com/alex3714/articles/5740985.html" Title = "permalink">2016-08-05 13:31</a> 金角大王 阅读(53980) | <a href="https://www.cnblogs.com/alex3714/articles/5740985.html#FeedBack" Title = "comments, pingbacks, trackbacks">评论 (14)</a> &nbsp;<a href="https://i.cnblogs.com/EditArticles.aspx?postid=5740985" rel="nofollow">编辑</a></div>
			</div>
		
			<div class="postSeparator"></div>
		
			<div class="entrylistItem">
				<div class="entrylistPosttitle"><a id="CategoryEntryList1_EntryStoryList_ctl00_Entries_TitleUrl_13" class="entrylistItemTitle" href="https://www.cnblogs.com/alex3714/articles/5717620.html">Python之路,Day2 - Python基础2</a></div>
				<div class="entrylistPostSummary"><div class="c_b_p_desc">摘要: 本节内容 1. 列表、元组操作 列表是我们最以后最常用的数据类型之一，通过列表可以对数据实现最方便的存储、修改等操作 定义列表 通过下标访问列表中的元素，下标从0开始计数 切片:取多个元素 &gt;&gt;&gt; names = [&quot;Alex&quot;,&quot;Tenglan&quot;,&quot;Eric&quot;,&quot;Rain&quot;,&quot;Tom&quot;,&quot;Amy&quot;<a href="https://www.cnblogs.com/alex3714/articles/5717620.html" class="c_b_p_desc_readmore">阅读全文</a></div></div>				
				<div class="entrylistItemPostDesc">posted @ <a href="https://www.cnblogs.com/alex3714/articles/5717620.html" Title = "permalink">2016-07-29 11:15</a> 金角大王 阅读(88872) | <a href="https://www.cnblogs.com/alex3714/articles/5717620.html#FeedBack" Title = "comments, pingbacks, trackbacks">评论 (46)</a> &nbsp;<a href="https://i.cnblogs.com/EditArticles.aspx?postid=5717620" rel="nofollow">编辑</a></div>
			</div>
		
			<div class="postSeparator"></div>
		
			<div class="entrylistItem">
				<div class="entrylistPosttitle"><a id="CategoryEntryList1_EntryStoryList_ctl00_Entries_TitleUrl_14" class="entrylistItemTitle" href="https://www.cnblogs.com/alex3714/articles/5714238.html">Python之路,Day22 - 网站用户访问质量分析监测分析项目开发</a></div>
				<div class="entrylistPostSummary"><div class="c_b_p_desc">摘要: 做此项目前请先阅读&#160;http://3060674.blog.51cto.com/3050674/1439129 项目实战之：网站用户访问质量分析监测分析项目开发 为什么做这个项目？ 我想讲，当你身处一家上市公司，公司老板又创业明星，大家都认识他，用户一访问不了你的网站就会蛋疼的@你老板，即使是他自己<a href="https://www.cnblogs.com/alex3714/articles/5714238.html" class="c_b_p_desc_readmore">阅读全文</a></div></div>				
				<div class="entrylistItemPostDesc">posted @ <a href="https://www.cnblogs.com/alex3714/articles/5714238.html" Title = "permalink">2016-07-28 11:42</a> 金角大王 阅读(4149) | <a href="https://www.cnblogs.com/alex3714/articles/5714238.html#FeedBack" Title = "comments, pingbacks, trackbacks">评论 (1)</a> &nbsp;<a href="https://i.cnblogs.com/EditArticles.aspx?postid=5714238" rel="nofollow">编辑</a></div>
			</div>
		
			<div class="postSeparator"></div>
		
			<div class="entrylistItem">
				<div class="entrylistPosttitle"><a id="CategoryEntryList1_EntryStoryList_ctl00_Entries_TitleUrl_15" class="entrylistItemTitle" href="https://www.cnblogs.com/alex3714/articles/5535652.html">Python之路,Day16 - Django 进阶</a></div>
				<div class="entrylistPostSummary"><div class="c_b_p_desc">摘要: 本节内容 自定义template tags 中间件 CRSF 权限管理 分页 Django分页 https://docs.djangoproject.com/en/1.9/topics/pagination/ 自定义template tags https://docs.djangoproject.c<a href="https://www.cnblogs.com/alex3714/articles/5535652.html" class="c_b_p_desc_readmore">阅读全文</a></div></div>				
				<div class="entrylistItemPostDesc">posted @ <a href="https://www.cnblogs.com/alex3714/articles/5535652.html" Title = "permalink">2016-05-27 18:16</a> 金角大王 阅读(4060) | <a href="https://www.cnblogs.com/alex3714/articles/5535652.html#FeedBack" Title = "comments, pingbacks, trackbacks">评论 (0)</a> &nbsp;<a href="https://i.cnblogs.com/EditArticles.aspx?postid=5535652" rel="nofollow">编辑</a></div>
			</div>
		
			<div class="postSeparator"></div>
		
			<div class="entrylistItem">
				<div class="entrylistPosttitle"><a id="CategoryEntryList1_EntryStoryList_ctl00_Entries_TitleUrl_16" class="entrylistItemTitle" href="https://www.cnblogs.com/alex3714/articles/5512568.html">Python之路,Day15 - Django适当进阶篇</a></div>
				<div class="entrylistPostSummary"><div class="c_b_p_desc">摘要: 本节内容 学员管理系统练习 Django ORM操作进阶 用户认证 Django练习小项目：学员管理系统设计开发 带着项目需求学习是最有趣和效率最高的，今天就来基于下面的需求来继续学习Django 项目需求： #_*_coding:utf-8_*_ from django.db import mod<a href="https://www.cnblogs.com/alex3714/articles/5512568.html" class="c_b_p_desc_readmore">阅读全文</a></div></div>				
				<div class="entrylistItemPostDesc">posted @ <a href="https://www.cnblogs.com/alex3714/articles/5512568.html" Title = "permalink">2016-05-20 16:29</a> 金角大王 阅读(9719) | <a href="https://www.cnblogs.com/alex3714/articles/5512568.html#FeedBack" Title = "comments, pingbacks, trackbacks">评论 (1)</a> &nbsp;<a href="https://i.cnblogs.com/EditArticles.aspx?postid=5512568" rel="nofollow">编辑</a></div>
			</div>
		
			<div class="postSeparator"></div>
		
			<div class="entrylistItem">
				<div class="entrylistPosttitle"><a id="CategoryEntryList1_EntryStoryList_ctl00_Entries_TitleUrl_17" class="entrylistItemTitle" href="https://www.cnblogs.com/alex3714/articles/5474411.html">Python之路,Day21 - 常用算法学习</a></div>
				<div class="entrylistPostSummary"><div class="c_b_p_desc">摘要: 本节内容 1.算法定义 算法（Algorithm）是指解题方案的准确而完整的描述，是一系列解决问题的清晰指令，算法代表着用系统的方法描述解决问题的策略机制。也就是说，能够对一定规范的输入，在有限时间内获得所要求的输出。如果一个算法有缺陷，或不适合于某个问题，执行这个算法将不会解决这个问题。不同的算法<a href="https://www.cnblogs.com/alex3714/articles/5474411.html" class="c_b_p_desc_readmore">阅读全文</a></div></div>				
				<div class="entrylistItemPostDesc">posted @ <a href="https://www.cnblogs.com/alex3714/articles/5474411.html" Title = "permalink">2016-05-09 17:08</a> 金角大王 阅读(22332) | <a href="https://www.cnblogs.com/alex3714/articles/5474411.html#FeedBack" Title = "comments, pingbacks, trackbacks">评论 (6)</a> &nbsp;<a href="https://i.cnblogs.com/EditArticles.aspx?postid=5474411" rel="nofollow">编辑</a></div>
			</div>
		
			<div class="postSeparator"></div>
		
			<div class="entrylistItem">
				<div class="entrylistPosttitle"><a id="CategoryEntryList1_EntryStoryList_ctl00_Entries_TitleUrl_18" class="entrylistItemTitle" href="https://www.cnblogs.com/alex3714/articles/5465198.html">Python之路,Day1 - Python基础1</a></div>
				<div class="entrylistPostSummary"><div class="c_b_p_desc">摘要: 本节内容 一、 Python介绍 python的创始人为吉多&#183;范罗苏姆（Guido van Rossum）。1989年的圣诞节期间，吉多&#183;范罗苏姆为了在阿姆斯特丹打发时间，决心开发一个新的脚本解释程序，作为ABC语言的一种继承。 最新的TIOBE排行榜，Python赶超PHP占据第五，&#160;Python<a href="https://www.cnblogs.com/alex3714/articles/5465198.html" class="c_b_p_desc_readmore">阅读全文</a></div></div>				
				<div class="entrylistItemPostDesc">posted @ <a href="https://www.cnblogs.com/alex3714/articles/5465198.html" Title = "permalink">2016-05-06 12:46</a> 金角大王 阅读(125752) | <a href="https://www.cnblogs.com/alex3714/articles/5465198.html#FeedBack" Title = "comments, pingbacks, trackbacks">评论 (32)</a> &nbsp;<a href="https://i.cnblogs.com/EditArticles.aspx?postid=5465198" rel="nofollow">编辑</a></div>
			</div>
		
			<div class="postSeparator"></div>
		
			<div class="entrylistItem">
				<div class="entrylistPosttitle"><a id="CategoryEntryList1_EntryStoryList_ctl00_Entries_TitleUrl_19" class="entrylistItemTitle" href="https://www.cnblogs.com/alex3714/articles/5457672.html">Python之路,Day14 - It&#39;s time for Django</a></div>
				<div class="entrylistPostSummary"><div class="c_b_p_desc">摘要: 本节内容 Django流程介绍 Django url Django view Django models Django template Django form Django admin Django流程介绍 Django URL Example&#182; Here’s a sample URLconf: <a href="https://www.cnblogs.com/alex3714/articles/5457672.html" class="c_b_p_desc_readmore">阅读全文</a></div></div>				
				<div class="entrylistItemPostDesc">posted @ <a href="https://www.cnblogs.com/alex3714/articles/5457672.html" Title = "permalink">2016-05-04 10:59</a> 金角大王 阅读(11215) | <a href="https://www.cnblogs.com/alex3714/articles/5457672.html#FeedBack" Title = "comments, pingbacks, trackbacks">评论 (6)</a> &nbsp;<a href="https://i.cnblogs.com/EditArticles.aspx?postid=5457672" rel="nofollow">编辑</a></div>
			</div>
		
			<div class="postSeparator"></div>
		
			<div class="entrylistItem">
				<div class="entrylistPosttitle"><a id="CategoryEntryList1_EntryStoryList_ctl00_Entries_TitleUrl_20" class="entrylistItemTitle" href="https://www.cnblogs.com/alex3714/articles/5450798.html">Python之路,Day20 - 分布式监控系统开发</a></div>
				<div class="entrylistPostSummary"><div class="c_b_p_desc">摘要: 本节内容 为什么要做监控？ 常用监控系统设计讨论 监控系统架构设计 监控表结构设计 为什么要做监控？ –熟悉IT监控系统的设计原理 –开发一个简版的类Zabbix监控系统 –掌握自动化开发项目的程序设计思路及架构解藕原则 常用监控系统设计讨论 Zabbix Nagios 监控系统需求讨论 1.可监控<a href="https://www.cnblogs.com/alex3714/articles/5450798.html" class="c_b_p_desc_readmore">阅读全文</a></div></div>				
				<div class="entrylistItemPostDesc">posted @ <a href="https://www.cnblogs.com/alex3714/articles/5450798.html" Title = "permalink">2016-05-01 17:18</a> 金角大王 阅读(8489) | <a href="https://www.cnblogs.com/alex3714/articles/5450798.html#FeedBack" Title = "comments, pingbacks, trackbacks">评论 (2)</a> &nbsp;<a href="https://i.cnblogs.com/EditArticles.aspx?postid=5450798" rel="nofollow">编辑</a></div>
			</div>
		
			<div class="postSeparator"></div>
		
			<div class="entrylistItem">
				<div class="entrylistPosttitle"><a id="CategoryEntryList1_EntryStoryList_ctl00_Entries_TitleUrl_21" class="entrylistItemTitle" href="https://www.cnblogs.com/alex3714/articles/5420433.html">Python之路,Day19 - CMDB、CMDB、CMDB</a></div>
				<div class="entrylistPostSummary"><div class="c_b_p_desc">摘要: 本节内容 浅谈ITIL CMDB介绍 Django自定义用户认证 Restful 规范 资产管理功能开发 浅谈ITIL TIL即IT基础架构库(Information Technology Infrastructure Library, ITIL，信息技术基础架构库)由英国政府部门CCTA(Cent<a href="https://www.cnblogs.com/alex3714/articles/5420433.html" class="c_b_p_desc_readmore">阅读全文</a></div></div>				
				<div class="entrylistItemPostDesc">posted @ <a href="https://www.cnblogs.com/alex3714/articles/5420433.html" Title = "permalink">2016-04-22 10:57</a> 金角大王 阅读(18976) | <a href="https://www.cnblogs.com/alex3714/articles/5420433.html#FeedBack" Title = "comments, pingbacks, trackbacks">评论 (0)</a> &nbsp;<a href="https://i.cnblogs.com/EditArticles.aspx?postid=5420433" rel="nofollow">编辑</a></div>
			</div>
		
			<div class="postSeparator"></div>
		
			<div class="entrylistItem">
				<div class="entrylistPosttitle"><a id="CategoryEntryList1_EntryStoryList_ctl00_Entries_TitleUrl_22" class="entrylistItemTitle" href="https://www.cnblogs.com/alex3714/articles/5337630.html">Python之路,Day18 - 开发一个WEB聊天来撩妹吧</a></div>
				<div class="entrylistPostSummary"><div class="c_b_p_desc">摘要: 本节内容： 项目实战：开发一个WEB聊天室 功能需求： 知识必备: 前景介绍 首先我们知道http是无状态、请求/响应模式的通信模式，就是用户每次通过浏览器点击一下页面，都需要重新与WEB服务器建立一次连接，且发送自己的session id给服务器端以使服务器端验证此用户的身份。 客户端若想从web<a href="https://www.cnblogs.com/alex3714/articles/5337630.html" class="c_b_p_desc_readmore">阅读全文</a></div></div>				
				<div class="entrylistItemPostDesc">posted @ <a href="https://www.cnblogs.com/alex3714/articles/5337630.html" Title = "permalink">2016-03-30 16:12</a> 金角大王 阅读(6037) | <a href="https://www.cnblogs.com/alex3714/articles/5337630.html#FeedBack" Title = "comments, pingbacks, trackbacks">评论 (0)</a> &nbsp;<a href="https://i.cnblogs.com/EditArticles.aspx?postid=5337630" rel="nofollow">编辑</a></div>
			</div>
		
			<div class="postSeparator"></div>
		
			<div class="entrylistItem">
				<div class="entrylistPosttitle"><a id="CategoryEntryList1_EntryStoryList_ctl00_Entries_TitleUrl_23" class="entrylistItemTitle" href="https://www.cnblogs.com/alex3714/articles/5311625.html">Python之路,Day17 - 分分钟做个BBS论坛</a></div>
				<div class="entrylistPostSummary"><div class="c_b_p_desc">摘要: 本节内容： 项目：开发一个简单的BBS论坛 需求： 知识必备： 设计表结构 CSRF（Cross Site Request Forgery, 跨站域请求伪造） CSRF 背景与介绍 CSRF（Cross Site Request Forgery, 跨站域请求伪造）是一种网络的攻击方式，它在 2007<a href="https://www.cnblogs.com/alex3714/articles/5311625.html" class="c_b_p_desc_readmore">阅读全文</a></div></div>				
				<div class="entrylistItemPostDesc">posted @ <a href="https://www.cnblogs.com/alex3714/articles/5311625.html" Title = "permalink">2016-03-23 16:12</a> 金角大王 阅读(6616) | <a href="https://www.cnblogs.com/alex3714/articles/5311625.html#FeedBack" Title = "comments, pingbacks, trackbacks">评论 (0)</a> &nbsp;<a href="https://i.cnblogs.com/EditArticles.aspx?postid=5311625" rel="nofollow">编辑</a></div>
			</div>
		
			<div class="postSeparator"></div>
		
			<div class="entrylistItem">
				<div class="entrylistPosttitle"><a id="CategoryEntryList1_EntryStoryList_ctl00_Entries_TitleUrl_24" class="entrylistItemTitle" href="https://www.cnblogs.com/alex3714/articles/5286889.html">Python之路,Day12 - 那就做个堡垒机吧</a></div>
				<div class="entrylistPostSummary"><div class="c_b_p_desc">摘要: 本节内容 项目实战：运维堡垒机开发 前景介绍 到目前为止，很多公司对堡垒机依然不太感冒，其实是没有充分认识到堡垒机在IT管理中的重要作用的，很多人觉得，堡垒机就是跳板机，其实这个认识是不全面的，跳板功能只是堡垒机所具备的功能属性中的其中一项而已，下面我就给大家介绍一下堡垒机的重要性，以帮助大家参考自<a href="https://www.cnblogs.com/alex3714/articles/5286889.html" class="c_b_p_desc_readmore">阅读全文</a></div></div>				
				<div class="entrylistItemPostDesc">posted @ <a href="https://www.cnblogs.com/alex3714/articles/5286889.html" Title = "permalink">2016-03-17 12:27</a> 金角大王 阅读(16180) | <a href="https://www.cnblogs.com/alex3714/articles/5286889.html#FeedBack" Title = "comments, pingbacks, trackbacks">评论 (0)</a> &nbsp;<a href="https://i.cnblogs.com/EditArticles.aspx?postid=5286889" rel="nofollow">编辑</a></div>
			</div>
		
			<div class="postSeparator"></div>
		
			<div class="entrylistItem">
				<div class="entrylistPosttitle"><a id="CategoryEntryList1_EntryStoryList_ctl00_Entries_TitleUrl_25" class="entrylistItemTitle" href="https://www.cnblogs.com/alex3714/articles/5248247.html">Python之路,Day9 - 异步IO\数据库\队列\缓存</a></div>
				<div class="entrylistPostSummary"><div class="c_b_p_desc">摘要: 本节内容 引子 到目前为止，我们已经学了网络并发编程的2个套路， 多进程，多线程，这哥俩的优势和劣势都非常的明显，我们一起来回顾下 协程 协程，又称微线程，纤程。英文名Coroutine。一句话说明什么是线程：协程是一种用户态的轻量级线程。 协程拥有自己的寄存器上下文和栈。协程调度切换时，将寄存器上<a href="https://www.cnblogs.com/alex3714/articles/5248247.html" class="c_b_p_desc_readmore">阅读全文</a></div></div>				
				<div class="entrylistItemPostDesc">posted @ <a href="https://www.cnblogs.com/alex3714/articles/5248247.html" Title = "permalink">2016-03-06 19:14</a> 金角大王 阅读(35517) | <a href="https://www.cnblogs.com/alex3714/articles/5248247.html#FeedBack" Title = "comments, pingbacks, trackbacks">评论 (11)</a> &nbsp;<a href="https://i.cnblogs.com/EditArticles.aspx?postid=5248247" rel="nofollow">编辑</a></div>
			</div>
		
			<div class="postSeparator"></div>
		
			<div class="entrylistItem">
				<div class="entrylistPosttitle"><a id="CategoryEntryList1_EntryStoryList_ctl00_Entries_TitleUrl_26" class="entrylistItemTitle" href="https://www.cnblogs.com/alex3714/articles/5230609.html">Python之路,Day9, 进程、线程、协程篇</a></div>
				<div class="entrylistPostSummary"><div class="c_b_p_desc">摘要: 本节内容 操作系统发展史 手工操作（无操作系统） 1946年第一台计算机诞生--20世纪50年代中期，还未出现操作系统，计算机工作采用手工操作方式。 手工操作程序员将对应于程序和数据的已穿孔的纸带（或卡片）装入输入机，然后启动输入机把程序和数据输入计算机内存，接着通过控制台开关启动程序针对数据运行；<a href="https://www.cnblogs.com/alex3714/articles/5230609.html" class="c_b_p_desc_readmore">阅读全文</a></div></div>				
				<div class="entrylistItemPostDesc">posted @ <a href="https://www.cnblogs.com/alex3714/articles/5230609.html" Title = "permalink">2016-03-01 13:18</a> 金角大王 阅读(33362) | <a href="https://www.cnblogs.com/alex3714/articles/5230609.html#FeedBack" Title = "comments, pingbacks, trackbacks">评论 (13)</a> &nbsp;<a href="https://i.cnblogs.com/EditArticles.aspx?postid=5230609" rel="nofollow">编辑</a></div>
			</div>
		
			<div class="postSeparator"></div>
		
			<div class="entrylistItem">
				<div class="entrylistPosttitle"><a id="CategoryEntryList1_EntryStoryList_ctl00_Entries_TitleUrl_27" class="entrylistItemTitle" href="https://www.cnblogs.com/alex3714/articles/5227251.html">Python之路,Day8 - Socket编程进阶</a></div>
				<div class="entrylistPostSummary"><div class="c_b_p_desc">摘要: 本节内容： Socket语法及相关 socket概念 socket本质上就是在2台网络互通的电脑之间，架设一个通道，两台电脑通过这个通道来实现数据的互相传递。 我们知道网络 通信 都 是基于 ip+port 方能定位到目标的具体机器上的具体服务，操作系统有0-65535个端口，每个端口都可以独立对外<a href="https://www.cnblogs.com/alex3714/articles/5227251.html" class="c_b_p_desc_readmore">阅读全文</a></div></div>				
				<div class="entrylistItemPostDesc">posted @ <a href="https://www.cnblogs.com/alex3714/articles/5227251.html" Title = "permalink">2016-02-29 13:50</a> 金角大王 阅读(19577) | <a href="https://www.cnblogs.com/alex3714/articles/5227251.html#FeedBack" Title = "comments, pingbacks, trackbacks">评论 (0)</a> &nbsp;<a href="https://i.cnblogs.com/EditArticles.aspx?postid=5227251" rel="nofollow">编辑</a></div>
			</div>
		
			<div class="postSeparator"></div>
		
			<div class="entrylistItem">
				<div class="entrylistPosttitle"><a id="CategoryEntryList1_EntryStoryList_ctl00_Entries_TitleUrl_28" class="entrylistItemTitle" href="https://www.cnblogs.com/alex3714/articles/5213184.html">Python之路，Day7 - 面向对象编程进阶</a></div>
				<div class="entrylistPostSummary"><div class="c_b_p_desc">摘要: 本节内容： 面向对象高级语法部分 经典类vs新式类 静态方法、类方法、属性方法 类的特殊方法 反射 异常处理 Socket开发基础 作业：开发一个支持多用户在线的FTP程序 经典类vs新式类 静态方法、类方法、属性方法 类的特殊方法 反射 面向对象高级语法部分 经典类vs新式类 把下面代码用pyth<a href="https://www.cnblogs.com/alex3714/articles/5213184.html" class="c_b_p_desc_readmore">阅读全文</a></div></div>				
				<div class="entrylistItemPostDesc">posted @ <a href="https://www.cnblogs.com/alex3714/articles/5213184.html" Title = "permalink">2016-02-24 15:32</a> 金角大王 阅读(30581) | <a href="https://www.cnblogs.com/alex3714/articles/5213184.html#FeedBack" Title = "comments, pingbacks, trackbacks">评论 (11)</a> &nbsp;<a href="https://i.cnblogs.com/EditArticles.aspx?postid=5213184" rel="nofollow">编辑</a></div>
			</div>
		
			<div class="postSeparator"></div>
		
			<div class="entrylistItem">
				<div class="entrylistPosttitle"><a id="CategoryEntryList1_EntryStoryList_ctl00_Entries_TitleUrl_29" class="entrylistItemTitle" href="https://www.cnblogs.com/alex3714/articles/5188179.html">Python之路,Day6 - 面向对象学习</a></div>
				<div class="entrylistPostSummary"><div class="c_b_p_desc">摘要: 本节内容： 面向对象编程介绍 为什么要用面向对象进行开发？ 面向对象的特性：封装、继承、多态 类、方法、 引子 你现在是一家游戏公司的开发人员，现在需要你开发一款叫做&lt;人狗大战&gt;的游戏，你就思考呀，人狗作战，那至少需要2个角色，一个是人， 一个是狗，且人和狗都有不同的技能，比如人拿棍打狗， 狗可以咬<a href="https://www.cnblogs.com/alex3714/articles/5188179.html" class="c_b_p_desc_readmore">阅读全文</a></div></div>				
				<div class="entrylistItemPostDesc">posted @ <a href="https://www.cnblogs.com/alex3714/articles/5188179.html" Title = "permalink">2016-02-13 18:25</a> 金角大王 阅读(42102) | <a href="https://www.cnblogs.com/alex3714/articles/5188179.html#FeedBack" Title = "comments, pingbacks, trackbacks">评论 (13)</a> &nbsp;<a href="https://i.cnblogs.com/EditArticles.aspx?postid=5188179" rel="nofollow">编辑</a></div>
			</div>
		
			<div class="postSeparator"></div>
		
			<div class="entrylistItem">
				<div class="entrylistPosttitle"><a id="CategoryEntryList1_EntryStoryList_ctl00_Entries_TitleUrl_30" class="entrylistItemTitle" href="https://www.cnblogs.com/alex3714/articles/5169958.html">教学项目之-通过Python实现简单的计算器</a></div>
				<div class="entrylistPostSummary"><div class="c_b_p_desc">摘要: 计算器开发需求 实现加减乘除及拓号优先级解析 用户输入&#160;1 - 2 * ( (60-30 +(-40/5) * (9-2*5/3 + 7 /3*99/4*2998 +10 * 568/14 )) - (-4*3)/ (16-3*2) )等类似公式后，必须自己解析里面的(),+,-,*,/符号和公式，<a href="https://www.cnblogs.com/alex3714/articles/5169958.html" class="c_b_p_desc_readmore">阅读全文</a></div></div>				
				<div class="entrylistItemPostDesc">posted @ <a href="https://www.cnblogs.com/alex3714/articles/5169958.html" Title = "permalink">2016-01-29 19:17</a> 金角大王 阅读(10577) | <a href="https://www.cnblogs.com/alex3714/articles/5169958.html#FeedBack" Title = "comments, pingbacks, trackbacks">评论 (3)</a> &nbsp;<a href="https://i.cnblogs.com/EditArticles.aspx?postid=5169958" rel="nofollow">编辑</a></div>
			</div>
		
			<div class="postSeparator"></div>
		
			<div class="entrylistItem">
				<div class="entrylistPosttitle"><a id="CategoryEntryList1_EntryStoryList_ctl00_Entries_TitleUrl_31" class="entrylistItemTitle" href="https://www.cnblogs.com/alex3714/articles/5161349.html">Python 之路 Day5 - 常用模块学习</a></div>
				<div class="entrylistPostSummary"><div class="c_b_p_desc">摘要: 本节大纲： 模块，用一砣代码实现了某个功能的代码集合。 类似于函数式编程和面向过程编程，函数式编程则完成一个功能，其他代码用来调用即可，提供了代码的重用性和代码间的耦合。而对于一个复杂的功能来，可能需要多个函数才能完成（函数又可以在不同的.py文件中），n个 .py 文件组成的代码集合就称为模块。 <a href="https://www.cnblogs.com/alex3714/articles/5161349.html" class="c_b_p_desc_readmore">阅读全文</a></div></div>				
				<div class="entrylistItemPostDesc">posted @ <a href="https://www.cnblogs.com/alex3714/articles/5161349.html" Title = "permalink">2016-01-26 19:21</a> 金角大王 阅读(64567) | <a href="https://www.cnblogs.com/alex3714/articles/5161349.html#FeedBack" Title = "comments, pingbacks, trackbacks">评论 (15)</a> &nbsp;<a href="https://i.cnblogs.com/EditArticles.aspx?postid=5161349" rel="nofollow">编辑</a></div>
			</div>
		
			<div class="postSeparator"></div>
		
			<div class="entrylistItem">
				<div class="entrylistPosttitle"><a id="CategoryEntryList1_EntryStoryList_ctl00_Entries_TitleUrl_32" class="entrylistItemTitle" href="https://www.cnblogs.com/alex3714/articles/5143440.html">Python之路,Day4</a></div>
				<div class="entrylistPostSummary"><div class="c_b_p_desc">摘要: 本节大纲迭代器&amp;生成器装饰器基本装饰器多参数装饰器递归算法基础：二分查找、二维数组转换正则表达式常用模块学习作业：计算器开发实现加减乘除及拓号优先级解析用户输入1 - 2 * ( (60-30 +(-40/5) * (9-2*5/3 + 7 /3*99/4*2998 +10 * 568/14 )) ...<a href="https://www.cnblogs.com/alex3714/articles/5143440.html" class="c_b_p_desc_readmore">阅读全文</a></div></div>				
				<div class="entrylistItemPostDesc">posted @ <a href="https://www.cnblogs.com/alex3714/articles/5143440.html" Title = "permalink">2016-01-19 22:11</a> 金角大王 阅读(21024) | <a href="https://www.cnblogs.com/alex3714/articles/5143440.html#FeedBack" Title = "comments, pingbacks, trackbacks">评论 (5)</a> &nbsp;<a href="https://i.cnblogs.com/EditArticles.aspx?postid=5143440" rel="nofollow">编辑</a></div>
			</div>
		
	<p>
	
	</p>
</div>

    
	</div><!--end: forFlow -->
	</div><!--end: mainContent 主体内容容器-->

	<div id="sideBar">
		<div id="sideBarMain">
			
<!--done-->
<div class="newsItem">
<h3 class="catListTitle">公告</h3>
	<div id="blog-news"></div><script type="text/javascript">loadBlogNews();</script>
</div>

			<div id="calendar"><div id="blog-calendar" style="display:none"></div><script type="text/javascript">loadBlogDefaultCalendar();</script></div>
			
			<div id="leftcontentcontainer">
				<div id="blog-sidecolumn"></div><script type="text/javascript">loadBlogSideColumn();</script>
			</div>
			
		</div><!--end: sideBarMain -->
	</div><!--end: sideBar 侧边栏容器 -->
	<div class="clear"></div>
	</div><!--end: main -->
	<div class="clear"></div>
	<div id="footer">
		
<!--done-->
Copyright &copy;2019 金角大王
	</div><!--end: footer -->
</div><!--end: home 自定义的最大容器 -->

</body>
</html>
